# Bulk transition brand lifecycle

Transitions multiple brands to a different lifecycle state in a single operation.

Endpoint: PATCH /v1/brands/bulk/actions/lifecycle
Version: 1.1.0
Security: Bearer

## Request fields (application/json):

  - `transition` (string, required)
    Lifecycle transition to apply to a brand.
    Enum: "remove", "restore", "publish", "unpublish"

  - `uuids` (array, required)
    List of brand identifiers to transition.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this brand.

  - `createdAt` (string, required)
    Timestamp when this brand was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this brand was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `removedAt` (string,null)
    Timestamp when this brand was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Lifecycle status of a brand.
    Enum: "draft", "published", "unpublished", "removed"

  - `code` (string, required)
    Code for this brand.

  - `displayName` (string, required)
    The display name of the brand.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


